-- GoH_Druid Event Registrations
	GoH_Paladin = {}
	GoH_Paladin.events = {}

	GoH_Paladin.eventFrame = CreateFrame("Frame");
	GoH_Paladin.eventFrame:SetScript("OnEvent", function(self, event, ...) GoH_Paladin.events[event](...) end);

	-- EVERY EVENT YOU REGISTER MUST HAVE A FUNCTION
	GoH_Paladin.eventFrame:RegisterEvent("ADDON_LOADED");
   	



-- #######################################
-- #######################################
-- LOAD ADDON FUNCTION
-- #######################################
-- #######################################
function GoH_Paladin.events.ADDON_LOADED(addon)

	if addon ~= "GoH_Paladin" then
		return;
	end

	

	   -- IF NO SAVED VARIABLES, CALL DEFAULT VARIABLES
 	   if (not GoHv5_Paladin_Data) then
		-- CALL RESET
		GoH_Paladin_DefaultVariables();
	   
	   end

		--GoH_Monk_Set_Menu_Button_Images();

   -- Slash Options
    SlashCmdList["GoH_Paladin"] = GoH_Paladin.Options
        SLASH_GoH_Paladin1 = "/GoH_paly"
        SLASH_GoH_Paladin2 = "/GOH_paladin"
        SLASH_GoH_Paladin3 = "/paladin"
        SLASH_GoH_Paladin4 = "/paly"
        SLASH_GoH_Paladin5 = "/gohpaly"
        SLASH_GoH_Paladin6 = "/gohpaladin"
	  SlashCmdList["GoH_Paladin"] = GoH_Paladin_OPEN_MENU;

	
	if GoH_DeathKnight.Gender == "Female" then
		Paladin_Female_Texture:Show();
	else
		Paladin_Female_Texture:Hide();
	end

	
	

	

end


-- FADE GOH MENU FRAME IN (JUST MESSING AROUND AND EXPERIMENTING)
function Show_GOH_Paladin_MENU_Frame()

		if GoHv5_DeathKnight_Data.config.GoH_MenuOpenedAlready == "NO" then
			GoH_Paladin_Form:Show();
  			
			return;
		else
			GoH_Paladin_Form:Show();
		end

	GoH_Paladin_Form:SetScale(GoHv5_DeathKnight_Data.config.GoHv5_Scale);
	GoH_Paladin_Form:SetAlpha(GoHv5_DeathKnight_Data.config.GoHv5_Alpha);

end
-- FADE GOH MENU FRAME OUT (JUST MESSING AROUND AND EXPERIMENTING)
function Hide_GOH_Paladin_MENU_Frame()

		if GoHv5_DeathKnight_Data.config.GoH_MenuOpenedAlready == "NO" then
			GoH_Paladin_Form:Hide();
  			if GoHv5_DeathKnight_Data.config.Fade_Menu_In_and_Out == "YES" then
				UIFrameFlash(GoH_Paladin_Form, 0, 1, 1, false, 0, 0)
				UIFrameFlash(GoH_Paladin_Form, 0, 1, 1, false, 0, 0)
				UIFrameFlash(GoH_Paladin_Form, 0, 1, 1, false, 0, 0)
			end
			return;
		else
			GoH_Paladin_Form:Hide();
		end

end


-- CLOSE BUTTON
function GoH_Paladin_BUTTON_CLOSE_OnClick()

	Play_GUI_Close();
	Hide_GOH_Paladin_MENU_Frame();
	GoH_Paladin_Form:Hide();

end


-- OPEN MENU
function GoH_Paladin_OPEN_MENU()

	

	if (GoH_Paladin_Form:IsVisible()) then
		GoH_Paladin_BUTTON_CLOSE_OnClick() -- Play_DeathKnight_GUI_Close();
		return;
	else
		Play_GUI_Open();
		Show_GOH_Paladin_MENU_Frame();
	end

	GoH_Paladin_Hide_and_Seek();

		-- Get the Version of the Druid's Addon from the TOC file
		-- and display it on the Druid's Menu near the close button.
		GoH_Paladin_Addon_Version = GetAddOnMetadata("GoH_Paladin", "Version");
		Label_GoHv5_Paladin_VERSION:SetText("|cFFFFD000GoH Mage v"..GoH_Paladin_Addon_Version.."|r");

end


-- HIDE OTHER MENU FRAMES AND ALIGN THEM TO THE CORRECT USER PLACED LOCATION
function GoH_Paladin_Hide_and_Seek()

	
	

	if GoH_DeathKnight.Gender == "Female" then
		Paladin_Female_Texture:Show();
	else
		Paladin_Female_Texture:Hide();
	end

	-- ###########################
	-- Disable Menu Button for Menu you are on
	-- ###########################
	

	-- ###########################
	-- Hide all other addon menus and show the one you want
	-- ###########################

	-- #######################################################
	-- Match all other addon menus to the Settings location
	-- #######################################################

	if (GoH_Paladin_Form:IsVisible()) then
		-- IF DRUID IS ALREADY VISIBLE THEN CLOSE IT.
		-- GoH_Druid_Form:ClearAllPoints();
		-- GoH_Druid_Form:Hide();
	else

		-- Release all points before re-assigning or we'll get a lua error
		if (GoH_DeathKnight_Form:IsVisible()) then
			-- GoH_DeathKnight_Form:ClearAllPoints();
			-- GoH_Druid_Form:ClearAllPoints();
			-- GoH_Druid_Form:SetPoint("TOPLEFT", "GoH_DeathKnight_Form");
			GoH_Paladin_Form:Show();
			GoH_DeathKnight_Form:Hide();
		elseif (GoH_Form:IsVisible()) then
			-- GoH_Form:ClearAllPoints();
			-- GoH_Druid_Form:ClearAllPoints();
			-- GoH_Druid_Form:SetPoint("TOPLEFT", "GoH_Form");
			GoH_Paladin_Form:Show();
			GoH_Form:Hide();
		elseif (GoH_Form:IsVisible() ~= 1) and (GoH_DeathKnight_Form:IsVisible() ~= 1) then
			GoH_DeathKnight_Form:Show();
			-- GoH_DeathKnight_Form:ClearAllPoints();
			-- GoH_Form:ClearAllPoints();
		end
				

				


				


			GoH_DeathKnight_Form:Hide();
			GoH_Form:Hide();
	end

end



-- ###################################
-- ###################################
-- CLASS MENU AND SETTINGS BUTTON AREA
-- ###################################
-- ###################################


